class Game
{
public:

	Game(void);
	virtual ~Game(void);

    bool CoreFailure;
    bool ExitGame;
    int Debug;

    bool NetBookMode;
    int CPUPlayerEnabled;
    bool FullScreenMode;
    int BoxTileSheet;
    int AIlogic;

    Uint32 FrameLock;
    Uint32 SystemTicks;
    Uint32 NextFrameTicks;
    Uint32 NumberOfFrames;
    Uint8 CurrentFramePerSecond;
    Uint32 FramesPerSecondArray[10];
    Uint32 NextSecondTick;
    Uint32 AverageFPS;

    void CalculateFramerate(void);
    void DisplayDebuggingInfo(void);
    void ProcessFramerate(void);
};
