class Input
{
public:

	Input(void);
	virtual ~Input(void);

    SDL_Event Event;
    char KeyOnKeyboardPressedByUser;

    #define Keyboard        0
    #define JoystickOne     1
    #define JoystickTwo     2
    #define Any             3
    #define CPU             4

    #define CENTER      0
    #define UP          1
    #define RIGHT       3
    #define DOWN        5
    #define LEFT        7
    Uint8 JoystickDirection[4];

    #define OFF         0
    #define ON          1
    Uint8 JoystickButtonOne[4];
    Uint8 JoystickButtonTwo[4];
    bool JoystickButton1Pressed[4];
    bool JoystickButton2Pressed[4];

	SDL_Joystick *JoystickDeviceOne;
	SDL_Joystick *JoystickDeviceTwo;
    int NumberOfJoyButtons[2];
    int NumberOfJoyAxises[2];

    #define Axis0       1
    #define Axis1       2
    #define Axis2       3
    #define Axis3       4
    #define Axis4       5
    #define Axis5       6
    #define Axis6       7
    #define Axis7       8
    #define Button0     9
    #define Button1     10
    #define Button2     11
    #define Button3     12
    #define Button4     13
    #define Button5     14
    #define Button6     15
    #define Button7     16
    #define Button8     17
    #define Button9     18
    #define Button10    19
    #define Button11    20
    #define Button12    21
    #define Button13    22
    #define Button14    23
    #define Button15    24
    #define Button16    25

    Uint8 JoyUP[2];
    Uint8 JoyDOWN[2];
    Uint8 JoyLEFT[2];
    Uint8 JoyRIGHT[2];
    Uint8 JoyButton1[2];
    Uint8 JoyButton2[2];

    #define JoySetupNotStarted          0
    #define Joy1SetupPressUP            1
    #define Joy1SetupPressDOWN          2
    #define Joy1SetupPressLEFT          3
    #define Joy1SetupPressRIGHT         4
    #define Joy1SetupPressBUTTONOne     5
    #define Joy1SetupPressBUTTONTwo     6
    #define Joy2SetupPressUP            7
    #define Joy2SetupPressDOWN          8
    #define Joy2SetupPressLEFT          9
    #define Joy2SetupPressRIGHT         10
    #define Joy2SetupPressBUTTONOne     11
    #define Joy2SetupPressBUTTONTwo     12
    int JoystickSetupProcess;

    #define RotateSetupNotStarted                   0
    #define RotateSetupPressCounterClockwise        1
    #define RotateSetupPressClockwise               2
    int RotateSetupProcess;

    char UserDefinedRotateCounterClockwise;
    char UserDefinedRotateClockwise;

    bool MouseButtonPressed[2];
    bool MouseButtonWasClicked[2];
    int MouseX, MouseY;

    int DelayAllUserInput;

    Uint8 QueryJoysticksForAction(Uint8 joy);

    void GetAllUserInput(void);
};
