class Screens
{
public:

	Screens(void);
	virtual ~Screens(void);

    GLfloat ScreenFadeTransparency;
    #define FadeIn          0
    #define FadeNone        1
    #define FadeOut         2
    #define FadeAll         3
    Uint8 ScreenTransitionStatus;

    #define cnetScreen                      13
    #define SixteenBitSoftScreen        0
    #define TitleScreen                 1
    #define AboutScreen                 2
    #define HowToPlayScreen             3
    #define HighScoresScreen            4
    #define OptionsScreen               5
    #define NewGameScreen               6
    #define PlayingGameScreen           7
    #define NameInputKeyboardScreen     8
    #define NameInputJoystickScreen     9
    Uint8 ScreenToDisplay;

    bool ExitToTitleScreen;

    bool ScreenMustBeDrawn;
    bool ScreenIsDirty;

    GLfloat StaffNotWinBG1Zoom;
    GLfloat StaffNotWinSpr1Transparency;

    Sint16 DisplayScreenTimer;

    void ApplyScreenFadeTransition(void);

    void DisplaycnetScreen(void);

    void DisplaySixteenBitSoftScreen(void);
    void DisplayTitleScreen(void);
    void DisplayAboutScreen(void);
    void DisplayHowToPlayScreen(void);
    void DisplayHighScoresScreen(void);
    void DisplayOptionsScreen(void);
    void DisplayNewGameScreen(void);
    void DisplayPlayingGameScreen(void);
    void DisplayNameInputKeyboardScreen(void);
    void DisplayNameInputJoystickScreen(void);

};
