class Audio
{
public:

    Audio(char *datapath_dir);
    virtual ~Audio(void);

    bool AudioWorking;

    #define MusicTotal      25
    Mix_Music *MusicTrack[MusicTotal];
    int MusicVolume;
    Uint8 CurrentlySelectedMusicTrack;
    #define SoundTotal      15
    Mix_Chunk *SoundFX[SoundTotal];
    int SoundVolume;

    bool SetupAudio(void);
    void PlayMusic(Uint8 musicIndex, int loop);
    void PlayDigitalSoundFX(Uint8 soundIndex, int loop);

private:
    char datapath[256];
};
